/**
 * File: IEDataPreference.java
 * Date: Mar 30, 2010
 */
package de.desy.mst.libs.accelerator;

/**
 * Processes the preference data elements depending on the service element.
 *
 * @author <a href="mailto:marcus.walla(at)desy.de">walla</a>
 * @version $Id: IEDataPreference.java 34784 2010-04-01 16:23:29Z walla $
 */
public interface IEDataPreference
{
	/**
	 * Returns the preference data enumeration depending on the service element.
	 * 
	 * @return Data enumeration element.
	 */
	public abstract IEData getPreferenceElement(final EServiceElement service_);
}
/* end of file */