/*
 *
 * File: IEFlag.java
 * Date: Nov 21, 2006; 1:04:12 PM
 */
package de.desy.mst.libs.accelerator;

/**
 * <p>This is the flag representation of bitwise values of a different registers
 * in the hardware. This interface will be inherited only to enumerations.</p>
 * 
 * @author <a href="marcus.walla(at)desy.de">walla</a>
 * @version $Id: IEFlag.java 32894 2010-02-08 12:53:07Z walla $
 */
@Deprecated
public interface IEFlag extends IEEnum
{
	
	/**
	 * Returns the bit value.
	 * 
	 * @return Returns the bit value.
	 */
	@Deprecated
	public abstract int bit();
	
	/**
	 * Returns if the bit set. To do this you need to enter the bit value you
	 * are asking for.
	 * 
	 * @param value_ The value to query for. This value is greater or equal to
	 * 		zero. Moreover its upper boarder is corresponding to the length of
	 * 		the stored information from 8, 16, 32 or 64.
	 * @return If the bit is set it returns a {@code true} otherwise a 
	 * 		{@code false}.
	 */
	@Deprecated
	public abstract boolean isValid(int value_);

}
/* end of file */