/**
 * File: ACompoundDataObject.java
 * Date: Jan 17, 2012
 */
package de.desy.mst.libs.accelerator.tine.types;

import de.desy.tine.types.TCompoundDataObject;

/**
 * Abstract compound data object which only reflects methods which are created
 * by the TINE library with the interface {@link TCompoundDataObject}.
 *
 * @author <a href="mailto:marcus.walla(at)desy.de">walla</a>
 * @version $Id: ACompoundDataObject.java 48102 2012-01-17 14:03:18Z walla $
 */
public abstract class ACompoundDataObject implements TCompoundDataObject {

	@Override public String getCsvString() {
		return "";
	}
	
	public abstract TCompoundDataObject clone();
}
/* end of file */