/**
 * 
 * Last changed: $Date$
 * By: $Author$
 * URL: $HeadURL$
 * $Revision$ 
 *
 */
package de.desy.mst.libs.framework.mstapp.appinf.client;


/**
 * @author labudda
 *
 */
final class JARDescDelegated extends Delegated implements IJARDesc {
	/**
	 * @param delegateTo
	 */
	public JARDescDelegated(final Object delegateTo) {
		super(delegateTo);
	}

	/* (non-Javadoc)
	 * @see de.desy.mst.libs.IJARDesc#getLocation()
	 */
	@Override public java.net.URL getLocation() throws UnsupportedOperationException, IllegalArgumentException {
		return (java.net.URL) this.getDelegatedResult("getLocation");
	}

	/* (non-Javadoc)
	 * @see de.desy.mst.libs.IJARDesc#isMainfile()
	 */
	@Override public boolean isMainJarFile() throws UnsupportedOperationException, IllegalArgumentException {
		return (Boolean) this.getDelegatedResult("isMainJarFile");
	}

}
