/**
 * 
 * Last changed: $Date$
 * By: $Author$
 * URL: $HeadURL$
 * $Revision$ 
 *
 */
package de.desy.mst.libs.framework.mstapp.appinf.client;


/**
 * @author labudda
 *
 */
class ResourcesDesc extends Delegated implements IResourcesDesc {
	ResourcesDesc(final Object resourcesDesc) {
		super(resourcesDesc);
	}

	/* (non-Javadoc)
	 * @see de.desy.mst.libs.IResourcesDesc#getLocalJarDescs()
	 */
	@Override public IJARDesc[] getLocalJarDescs() throws UnsupportedOperationException, IllegalArgumentException {
		final Object[] localJarDescs = (Object[]) this.getDelegatedResult("getLocalJarDescs");
		final IJARDesc[] descs = new JARDescDelegated[localJarDescs.length];
		for (int desc = 0; desc < descs.length; desc++) {
			descs[desc] = new JARDescDelegated(localJarDescs[desc]);
		}
		return descs;
	}
}
