/**
 * ws:	Apr  2, 2007 - Apr 11, 2007 creation from scratch
 * Aug 15, 2008 - Aug 15, 2008	ws: getAppOrALName() impl
 */
package de.desy.mst.libs.framework.mstapp.hilfe;

import de.desy.mst.libs.framework.mstapp.ApplicationInfo;


/**
 * Pfad zum Webstart. Package privat
 * @author ws
 * version 1.0.0
 */
class PfadeJavaDoc extends AHilfePfadeAL{
//http://mcalaunch/webapps/javadoc/desy2/Elektronenstrahlkontrolle/D2Energien/index.html
	private static final String ROOT   = "http://mcalaunch/webapps/javadoc/";

//=============================================================================
	public PfadeJavaDoc(final ApplicationInfo applicationInfo) {
		super(applicationInfo);
	}
//=============================================================================

	/* (non-Javadoc)
	 * @see de.desy.mst.libs.framework.mstapp.hilfe.IHilfePfade#getRoot()
	 */
	@Override public final String getSystemRoot() {return ROOT;}
	/* (non-Javadoc)
	 * @see de.desy.mst.libs.framework.mstapp.hilfe.AHilfePfade#getAppOrALName(de.desy.mst.libs.framework.mstapp.ApplicationInfo)
	 */
	@Override public String getAppOrALName(final ApplicationInfo applicationInfo) {
		return applicationInfo.getShortFrameName();
	}

//=============================================================================
	@Override public String getSubSystemRoot() {return getSystemRoot();}
	@Override public String getDateiName(final String appName)	{
		return cleanName(appName) + "/index.html";
	}
}
