/**
 * ws:	Mar 27, 2007 - Apr 11, 2007 creation from scratch
 * 	Aug 15, 2008 - Aug 15, 2008	ws: getAppOrALName() impl
 */
package de.desy.mst.libs.framework.mstapp.hilfe;

import de.desy.mst.libs.framework.mstapp.ApplicationInfo;


/**
 * Pfad zum Webstart. Package privat
 * @author ws
 * version 1.0.0
 */
class PfadeWebStart extends AHilfePfadeAL{
	private static final String ROOT   = "http://mcalaunch.desy.de/webapps/";
	private static final String PREFIX = "Released/";

//=============================================================================
	public PfadeWebStart(final ApplicationInfo applicationInfo) {
		super(applicationInfo);
	}
//=============================================================================

	/* (non-Javadoc)
	 * @see de.desy.mst.libs.framework.mstapp.hilfe.IHilfePfade#getRoot()
	 */
	@Override public final String getSystemRoot() {return ROOT;}
	/* (non-Javadoc)
	 * @see de.desy.mst.libs.framework.mstapp.hilfe.AHilfePfade#getAppOrALName(de.desy.mst.libs.framework.mstapp.ApplicationInfo)
	 */
	@Override public String getAppOrALName(final ApplicationInfo applicationInfo) {
		return applicationInfo.getShortFrameName();
	}
//=============================================================================
	@Override public String getSubSystemRoot() {return getSystemRoot() + PREFIX;}
	@Override public String getDateiName(final String appName) {
		return cleanName(appName) + ".jnlp";
	}
}
