/*
 * Created on Jun 10, 2005 - Jun 16, 2005
 * Aug 29, 2007 - Aug 30, 2007 	ws: String appName -> ApplicationInfo appInfo	
 *	Feb 15, 2008 - Feb 15, 2008 ws: added "@Override"es
 */
package de.desy.mst.libs.framework.mstapp.ini;

import de.desy.mst.libs.framework.mstapp.ApplicationInfo;
import de.desy.mst.libs.framework.mstapp.MstFrameMain;

/**
 * The System is just an application, but a distinguished one
 * it's name starts with an underscore and the application is
 * shared by all applications.
 * 
 * @author ws
 * @version 1.0.0
 */
public class BaseDataForSystem extends BaseDataForAnApplication {
	public static final String FILETYP = "Mst App System Einstellungen";
    public static final String SHORTDESCRIPTION = FILETYP;
    public static final String NAME = "System";
	public static final String SYSTEM_PACKAGE_NAME = MstFrameMain.class.getName();
//=============================================================================
    public BaseDataForSystem() {super(NAME, ApplicationInfo.__SYSTEM_APP_INFO);}
//=============================================================================
    /* (non-Javadoc)
     * @see de.desy.mst.libs.framework.mstapp.ini.BaseDataForAnApplication#getShortDescription()
     */
    @Override public String getShortDescription()	{return SHORTDESCRIPTION;}

    /* (non-Javadoc)
     * @see de.desy.mst.libs.framework.mstapp.ini.BaseDataForAnApplication#calcFileTyp()
     */
    @Override protected String calcFileTyp() 		{return FILETYP;}
}
