package de.desy.mst.libs.framework.mstapp.io;

import java.awt.AWTException;
import java.awt.GraphicsDevice;
import java.awt.GraphicsEnvironment;
import java.awt.Rectangle;
import java.awt.Robot;
import java.awt.image.BufferedImage;

import de.desy.mst.libs.framework.mstapp.logging.Logger;

/**
 * @author K. Hinsch -mst1-
 * &task  Creates a snapshot from the screen to print to logbook 
 */
public class mstSnapshot {
	public mstSnapshot() {super();}
	public BufferedImage captureWindow( int x, int y, int width, int height){
		BufferedImage image = null;
		GraphicsEnvironment environment = GraphicsEnvironment.getLocalGraphicsEnvironment();
		GraphicsDevice screen = environment.getDefaultScreenDevice();
		try {
			Robot robot = new Robot(screen);
			image = robot.createScreenCapture(new Rectangle(x,y,width,height));
		} catch (AWTException ex) {
			Logger.SWFW.warn(ex);
		}
		return image;
	}
}
