/**
 *	Jan 18, 2008 - Jan 18, 2008	ws:	Creation from scratch
 *	Apr 23, 2008 - Apr 23, 2008 ws: ILogProvider -> ALogSource
 *	May 19, 2008 - May 21, 2008 ws: ALogSource jetzt generisch
 *	Jul 17							doch nicht generisch
 */
package de.desy.mst.libs.framework.mstapp.logging.gui;

/**
 * Empfaengt einen neue ALogSource
 * @author ws
 * @version 1.0.0
 */
interface ILogSourceListener {
	@SuppressWarnings("rawtypes")
	abstract void onNewLogSource(final ALogSource logSource
							   , final String title
							   , final String tip);

	/**
	 * @param contents	langer String mit dem Inhalt
	 * @param textType	z.B. text/html
	 * @param title
	 * @param tip
	 */
	abstract void onNewDisplayText(final String contents
								 , final String textType
								 , final String title
								 , final String tip);
}
