/**
 *	Feb  1, 2008 - Feb  1, 2008	ws:	Creation from scratch/LoggingJFileChooser
 *	May 19, 2008 - May 21, 2008	ws: now generisch
 *	Jul 17							doch nicht generisch
 *	Sep  5, 2008 - Sep  5, 2008	ws: added: onNewDisplayText(...)
 */
package de.desy.mst.libs.framework.mstapp.logging.gui;

import de.desy.mst.libs.framework.mstapp.logging.Logger;

/**
 * Zum Testen und zur Code Vereinfachung in LoggingJFileChooser. Neue
 * logProvider werden lediglich gelogged. MsgModel_MstLog oder anderes egal
 * <br>
 * pp
 * @author ws
 * @version 1.0.0
 */
final class NullLogSourceListener implements ILogSourceListener {
	/* (non-Javadoc)
	 * @see de.desy.mst.libs.framework.mstapp.logging.gui.ILogSourceListener#onNewLogProvider(de.desy.mst.libs.framework.mstapp.logging.gui.ALogSource, java.lang.String, java.lang.String)
	 */
	@SuppressWarnings({"rawtypes"})
	@Override public void onNewLogSource(final ALogSource logSource
							 , final String title
							 , final String tip) {
		Logger.SWFW.info("NullALogSource: neue Logsource '" + title + "'.");
	}

	@Override public void onNewDisplayText(final String contents, final String textType, final String title, final String tip) {
		Logger.SWFW.info("NullALogSource: neue Textdarstelleung '" + title + "'.");
	}
}