/*
 *	Sep 28, 2006 - Sep 29, 2006	ws: creation from scratch
 *	Oct 15, 2008 - Oct 15, 2008 ws: added: getTitle()
 *	Jan 15, 2008 - Jan 15, 2008	ws:	serializable
 */
package de.desy.mst.libs.framework.mstapp.preferences;

import java.io.Serializable;


/**
 * Bitte nur halten solange der IPreferenceClient/PreferencePanel besteht.
 * Rueckkanal.
 * @author  ws
 * @version 1.0.0
 */
public interface IPrefContainer extends Serializable{
	/**Aktuell bearbeitete Konfiguration ist (nicht) geaendert.*/
	public void setChanged(final boolean isChanged);
	/**Aktuell bearbeitete Konfiguration ist (nicht) geaendert.*/
	public boolean isChanged();
	/**Liefert den Aktuellen Titel*/
	public String getTitle();
}
