/**
 * 	Apr  7, 2015 - Apr 28, 2015	ws:	created from scratch
 */
package de.desy.mst.libs.framework.mstapp.tabellendaten.entry;

/**
 * returns a nonnull default object with lowest permissions
 * @author ws
 */
class _OPModeACLEntryFactory_NullObject extends OPModeACLEntryFactory {
	static final OPModeACLEntryFactory _INSTANCE = new _OPModeACLEntryFactory_NullObject();
	//=============================================================================================
	private _OPModeACLEntryFactory_NullObject() {/**singleton*/}
	//---------------------------------------------------------------------------------------------
	@Override public OPModeACLEntry getOPModeACLEntry(final String pcUser, final String pcName, final String appName) {
		return _getNullOPModeACLEntry(pcUser, pcName, appName);
	}
	@Override @Deprecated public boolean usesOldSQLWay() {return false;}
	//---------------------------------------------------------------------------------------------
	private OPModeACLEntry _getNullOPModeACLEntry(final String pcUser, final String pcName, final String appName) {
		final int opModeNr = OPModeACLEntry.DEFAULT_OPMODE.index;  
		final String msg = " - _getNullOPModeACLEntry("  + toString(pcUser, pcName, appName + ")");
		return new OPModeACLEntry(OPModeACLEntry.DEFAULT_OAZ_NR
				                , pcUser, pcName, appName
				                , opModeNr, opModeNr , opModeNr
				                , "X"+opModeNr+opModeNr+opModeNr + msg);
	}
	private final String toString(final String ...strings) {
		final String separator = ", ";
		String retVal = "";
		final int maxIndex = strings.length - 1;
		for (int i = 0; i <= maxIndex; i++) {
			final String string = strings[i];
			retVal += string;
			if(i != maxIndex) retVal += separator;
		}
		return retVal;
	}
}
