/**
 * 
 * Last changed: $Date$
 * By: $Author$
 * URL: $HeadURL$
 * $Revision$ 
 *
 */
package de.desy.mst.libs.ser.launcher.cache;

/**
 * Organisiert die Kopie aus dem resources Verzeichnis in den cache
 * @author labudda
 *
 */
interface IResource {
	/**
	 * Kopiert eine Resource von einem Webserver auf ein lokales Laufwerk 
	 * und setzt im Ziel den Zeitpunkt der letzten Dateiaenderung
	 * auf den vom Webserver definierten Wert des last-modified header feldes
	 * Achtung, dass ist nicht identisch zum Fileattribut in der Quelle 
	 * @param destination
	 * @throws java.io.IOException
	 */
	void copyResourcesTo(final String destination) throws java.io.IOException;
	void copyResourcesTo(final java.io.File destination) throws java.io.IOException;
}
