/**
 * 
 * Last changed: $Date$
 * By: $Author$
 * URL: $HeadURL$
 * $Revision$ 
 *
 */
package de.desy.mst.libs.framework.mstapp.appinf.client;


/**
 * @author labudda
 *
 */
class IconDescDelegated extends Delegated implements IIconDesc {

	/**
	 * @param delegateTo
	 */
	IconDescDelegated(final Object delegateTo) {
		super(delegateTo);
	}

	/* (non-Javadoc)
	 * @see de.desy.mst.libs.IIconDesc#getLocation()
	 */
	@Override public java.net.URL getLocation()  throws UnsupportedOperationException, IllegalArgumentException {
		return (java.net.URL) this.getDelegatedResult("getLocation");
	}

	/* (non-Javadoc)
	 * @see de.desy.mst.libs.IIconDesc#getKind()
	 */
	@Override public int getKind() {
		return (Integer) this.getDelegatedResult("getKind");
	}

}
