/**
 * Sep 7, 2009 - Sep 7, 2009	ws:	Creation from scratch
 */
package de.desy.mst.libs.framework.mstapp.hilfe;

import de.desy.mst.libs.framework.mstapp.preferences.IPrefContainer;
import de.desy.mst.libs.framework.mstapp.preferences.helper.APrefClientPanel;
import de.desy.mst.libs.framework.mstapp.preferences.helper.APreferences;

/**
 * MAIN_COMMENT_HERE
 * @author ws
 * @version 1.0.0
 */
class PrefHilfe extends APreferences {
	private static final String TITLE = "Hilfe";
	private static final String[] KEYWORDS = new String[]{"Hilfe"};
	private HelpMgr hMgr;
//=============================================================================
	public PrefHilfe(final  HelpMgr hMgr) {
		super(PrefHilfe.TITLE, null, KEYWORDS);
		this.hMgr = hMgr;
	}
//=============================================================================
	/* (non-Javadoc)
	 * @see java.lang.Object#toString()
	 */
	@Override public String toString() {return TITLE;}
	@Override public APrefClientPanel createPrefClientPanel(final IPrefContainer prefContainer) {
		return new PrefHilfePanel(this.hMgr, prefContainer);
	}
}
