/**
 * Feb 18, 2009 - Feb 18, 2009	ws:	Creation from scratch
 */
package de.desy.mst.libs.framework.mstapp.mode;

import de.desy.mst.libs.framework.mstapp.preferences.IPrefContainer;
import de.desy.mst.libs.framework.mstapp.preferences.IPreferences;
import de.desy.mst.libs.framework.mstapp.preferences.helper.APrefClientPanelEinfach;
import de.desy.mst.libs.framework.mstapp.preferences.helper.APreferences;

/**
 * Fuer die schnelle Uebersicht zum einfachen Debuggen von Konfigurationsproblemen.
 * @author ws
 * @version 1.0.0
 */
public class PrefOpModeKonfiguration extends APreferences {
	private static final String   TITLE    = "Operations Modus Konfiguration";
	private static final String[] KEYWORDS = new String[]
	 {"Modus", "Operating", "Konfiguration", "Betrieb", "Expert", "Betrachten"};
//=============================================================================
	public PrefOpModeKonfiguration(final IPreferences parent) {
		super(TITLE, parent, KEYWORDS);
	}
//=============================================================================
	@Override public APrefClientPanelEinfach createPrefClientPanel(final IPrefContainer prefContainer) {
		return new PrefOpModeKonfigurationPanel(prefContainer);
	}
}
